> For the complete documentation index, see [llms.txt](https://docs.roomle.com/rubens/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomle.com/rubens/rubens-sdk/rubens-sdk-reference/interfaces/common_core_src_utils_shims.globalinitdatadefinition.md).

# UtilsShims.GlobalInitDataDefinition

[common-core/src/utils/shims](/rubens/rubens-sdk/rubens-sdk-reference/modules/common_core_src_utils_shims.md).GlobalInitDataDefinition

Init data parameters which are not context specific

## Implemented by

* [`default`](/rubens/rubens-sdk/rubens-sdk-reference/classes/configurator_core_src_configurator._internal_.default-7.md)

## Table of contents

### Properties

* [alwaysUseCache](#alwaysusecache)
* [locale](#locale)
* [overrideCountry](#overridecountry)

## Properties

### alwaysUseCache

• `Optional` **alwaysUseCache**: `boolean`

**`Deprecated`**

**`Description`**

when set to true and assets were prechaced by the asset loader they are returned from cache. Otherwise we always return a fresh copy from network usage: alwaysUseCache=true default: not set -> assets fetched from url, set -> assets from cache

***

### locale

• `Optional` **locale**: `string`

**`Description`**

locale to use for the\
embedding instance

***

### overrideCountry

• `Optional` **overrideCountry**: `string`

**`Description`**

Set country to use for the Roomle price service. If not used the customer IP address will be used to determine the location. usage: overrideCountry=de


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roomle.com/rubens/rubens-sdk/rubens-sdk-reference/interfaces/common_core_src_utils_shims.globalinitdatadefinition.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
